/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ITestObjectProvider } from "@fluidframework/test-utils";
export interface ITestObjectProviderOptions {
    /** If true, resets all state after each test completes. */
    resetAfterEach?: boolean;
    /** If true, synchronizes summarizer client as well when ensureSynchronized() is called. */
    syncSummarizer?: boolean;
}
export declare type DescribeCompatSuite = (name: string, tests: (this: Mocha.Suite, provider: (options?: ITestObjectProviderOptions) => ITestObjectProvider) => void) => Mocha.Suite | void;
export declare type DescribeCompat = DescribeCompatSuite & Record<"skip" | "only" | "noCompat", DescribeCompatSuite>;
export declare const describeNoCompat: DescribeCompat;
export declare const describeLoaderCompat: DescribeCompat;
export declare const describeFullCompat: DescribeCompat;
//# sourceMappingURL=describeCompat.d.ts.map