/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ITelemetryGenericEvent } from "@fluidframework/common-definitions";
import { TestDriverTypes } from "@fluidframework/test-driver-definitions";
export declare type ExpectedEvents = ITelemetryGenericEvent[] | Partial<Record<TestDriverTypes, ITelemetryGenericEvent[]>>;
export declare type ExpectsTest = (name: string, orderedExpectedEvents: ExpectedEvents, test: Mocha.AsyncFunc) => Mocha.Test;
/**
 * Similar to mocha's it function, but allow specifying expected events.
 * That must occur during the execution of the test.
 */
export declare const itExpects: ExpectsTest & Record<"only" | "skip", ExpectsTest>;
//# sourceMappingURL=itExpects.d.ts.map